#!/bin/bash
source ~/.bash_profile
source ~/.bashrc
conda activate tf2

cd /data/UserReturn

#1. download data
nowday=`date  +"%Y%m%d" -d -0days`
#last7day=`date  +"%Y%m%d" -d -1days`
nowstart=`date  +"%Y%m%d%H" -d -1hours`
nowhour=`date  +"%Y%m%d%H" -d -0hours`
#nowhour=`date  +"%Y%m%d%H" -d -0days
#nowstart=$nowstart'0000'
#nowhour=${nowhour}'0000'

echo ${nowstart}
echo ${nowhour}


echo ${nowday}
echo ${last7day}
mkdir -p ./data/
mkdir -p ./logs/
#conda activate py36
#nowhour=20230626160000

python extract_cur_share_log.py  ${nowstart} ${nowhour}
if [ $? -ne 0 ];
then
    msg = "[ERROR] simrecall extract_share_log"
    #sh sendmsg.sh  $nowday  $msg
    echo "[ERROR] echo 'extract_share_log"
    exit 255
fi

echo ${nowstart}
echo ${nowhour}
python extract_cur_clik_log.py  ${nowstart} ${nowhour}
if [ $? -ne 0 ];
then
    msg = "[ERROR] simrecall extract_share_log"
    #sh sendmsg.sh  $nowday  $msg
    echo "[ERROR] echo 'extract_share_log"
    exit 255
fi

python groupItemHour.py ${nowhour}
if [ $? -ne 0 ];
then
    msg = "[ERROR] simrecall extract_share_log"
    #sh sendmsg.sh  $nowday  $msg
    echo "[ERROR] echo 'extract_share_log"
    exit 255
fi

python extract_user_exp_hour_video.py ${nowday} ${nowstart} ${nowhour}
if [ $? -ne 0 ];
then
    msg = "[ERROR] simrecall extract_share_log"
    #sh sendmsg.sh  $nowday  $msg
    echo "[ERROR] echo 'extract_share_log"
    exit 255

fi

python getI2IHour.py ./data/user_video_exp_hour_${nowhour}  ./data/return_item_hour_${nowhour} ./data/i2i_hour_${nowhour}
if [ $? -ne 0 ];
then
    msg = "[ERROR] simrecall extract_share_log"
    #sh sendmsg.sh  $nowday  $msg
    echo "[ERROR] echo 'extract_share_log"
    exit 255
fi


python calReturnHour.py ${nowhour}
#python getI2ICTR.py ../CtrProject/data/merge_4_days_score_${nowhour} ./data/i2i_${nowday} ./data/i2i_ctr_${nowday}

if [ $? -ne 0 ];
then
    msg = "[ERROR] simrecall extract_share_log"
    #sh sendmsg.sh  $nowday  $msg
    echo "[ERROR] echo 'extract_share_log"
    exit 255

fi
python getI2ICTRGroup.py ./data/user_video_exp_hour_${nowhour} ./data/user_item_return_hour_count_${nowhour} ./data/i2i_hour_${nowhour}  ./data/i2i_hour_group_ctr_${nowhour}
if [ $? -ne 0 ];
then
    msg = "[ERROR] getI2ICTRGroup"
    #sh sendmsg.sh  $nowday  $msg
    echo "[ERROR] echo 'extract_share_log"
    exit 255

fi

python import_redist.py  ./data/i2i_hour_group_ctr_${nowhour} ./data/return_video_rec_${nowhour}



python getI2ICTRGroupV2.py ./data/user_video_exp_hour_${nowhour} ./data/user_item_return_hour_count_${nowhour} ./data/i2i_hour_${nowhour}  ./data/i2i_hour_group_ctr_v2_${nowhour}
if [ $? -ne 0 ];
then
    msg = "[ERROR] getI2ICTRGroupV2"
    #sh sendmsg.sh  $nowday  $msg
    echo "[ERROR] echo 'getI2ICTRGroupV2' "
    exit 255

fi

python import_redist_v2.py  ./data/i2i_hour_group_ctr_v2_${nowhour} ./data/return_video_rec_v2_${nowhour}